Class {
	#name : #BaselineOfLibGDBs,
	#superclass : #BaselineOf,
	#category : #BaselineOfLibGDBs
}

{ #category : #baselines }
BaselineOfLibGDBs >> baseline: spec [
	<baseline>
	spec
		for: #pharo
		do: [
			spec baseline: 'Magritte' with: [
				spec repository: 'github://magritte-metamodel/magritte'
			].

			spec baseline: 'PTerm' with: [
				spec repository: 'github://janvrany/PTerm'
			].

			spec package:#'LibCompat'.

			spec package:#'LibGDBs' with: [
				spec requires: #('Magritte' 'LibCompat' 'PTerm')
			].
			spec package:#'LibGDBs-Platform-Pharo' with: [
				spec requires: #('LibGDBs')
			].

			spec package:#'LibGDBs-Tests' with: [
				spec requires: 'LibGDBs'
			].

		]

]
